import {Component, Input} from '@angular/core';
import {animate, keyframes, state, style, transition, trigger} from "@angular/animations";

export const valueChanged = trigger('valueChanged',[

  transition(":enter", [
    style({ opacity: 0 }),
    animate("1000ms", style({ opacity: 1 }))
  ]),
])

@Component({
  selector: 'app-skrepa',
  templateUrl: './skrepa.component.html',
  styleUrls: ['./skrepa.component.scss'],
  animations: [valueChanged]
})
export class SkrepaComponent {

  @Input() text: string;
}
